net.corda.node.services.api

## Interface MessagingServiceBuilder<T extends MessagingServiceInternal>

-     public MessagingServiceBuilder<T extends MessagingServiceInternal>

  This class lets you start up a `interface MessagingService`. Its purpose is to stop you from getting access to the methods on the messaging service interface until you have successfully started up the system. One of these objects should be the only way to obtain a reference to a `interface MessagingService`. Startup may be a slow process: some implementations may let you cast the returned future to an object that lets you get status info.

  A specific implementation of the controller class will have extra features that let you customise it before starting it up.

  See Also:
    `interface MessagingService`, `interface MessagingService`

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.common.util.concurrent.ListenableFuture<? extends T>` | `start()`

- - ### Method Detail

    - #### start

          com.google.common.util.concurrent.ListenableFuture<? extends T> start()